D4Science Infrastructure - Incident #318

Error uploading file onto the Workspace from service
Jun 29, 2015 02:52 PM - Gianpaolo Coro

Status: Closed Start date: Jun 29, 2015
Priority: Urgent Due date:

Assignee: Tommaso Piccioli % Done: 100%
Category: Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Development

Description

After introducing https communication with the Workspace, there is a blocking issue on the Statistical Manager when uploading a file.
In particular, an error occurs that seems to be related to something wrong in https certification.

The issue does not occur in the production environment. | think that the same could be detected on other services using uploading
on the WS.

This issue is blocking for all the current development on the Statistical Manager and on Tabular Data Manager
The error is the following:

statistical-manager—-gcubews: File created import4783299004854531728.zip
2015-06-29 14:38:40,999 DEBUG util.ServiceUtil [Thread-222,debug:66] ServiceUtil: get Workspace Ap
plication Folder for the user gianpaolo.coro
2015-06-29 14:38:41,765 DEBUG util.ServiceUtil [Thread-222,debug:66] ServiceUtil: get home
2015-06-29 14:38:41,786 DEBUG util.ServiceUtil [Thread-222,debug:66] ServiceUtil: Exception
2015-06-29 14:38:41,786 DEBUG util.ServiceUtil [Thread-222,debug:66] ServiceUtil: org.gcube.common
.homelibrary.home.exceptions.InternalErrorException: javax.jcr.RepositoryException: Remote reposit
ory not found: The resource at https://workspace-repository-dev.research-infrastructures.eu/jackra
bbit-webapp-2.8.0/rmi could not be retrieved

at org.gcube.common.homelibrary. jcr.repository.JCRRepository.getSession (JCRRepository. java
:264)

at org.gcube.common.homelibrary. jcr.data.JCRApplicationsArea.getApplicationRoot (JCRApplica
tionsArea. java:48)

at org.gcube.data.analysis.statisticalmanager.util.ServiceUtil.getWorkspaceSMFolder (Servic
eUtil.java:180)

at org.gcube.data.analysis.statisticalmanager.dataspace.DataSpace$5.run (DataSpace. java:428
)
Caused by: javax.jcr.RepositoryException: Remote repository not found: The resource at https://wor
kspace-repository-dev.research-infrastructures.eu/jackrabbit-webapp-2.8.0/rmi could not be retriev
ed

at org.apache. jackrabbit.rmi.repository.URLRemoteRepositoryFactory.getRemoteRepository (URL
RemoteRepositoryFactory. java:84)

at org.apache. jackrabbit.rmi.repository.AbstractRemoteRepositoryFactory.getRepository (Abst
ractRemoteRepositoryFactory. java:58)

at org.apache. jackrabbit.rmi.repository.ProxyRepository.login (ProxyRepository.java:199)

at org.apache. jackrabbit.rmi.repository.ProxyRepository.login (ProxyRepository.java:233)

at org.gcube.common.homelibrary. jcr.repository.JCRRepository.getSession (JCRRepository. java
:260)

. 3 more
Caused by: org.globus.common.ChainedIOException: Failed to init GSI context [Caused by: Defective
credential detected [Caused by: Proxy file (/tmp/x509up_ul002) not found.]]

at org.globus.net.GSIHttpURLConnection.connect (GSIHttpURLConnection. java:107)

at org.globus.net.GSIHttpURLConnection.getInputStream (GSIHttpURLConnection. java:151)

at java.net.URL.openStream (URL. java:1041)

at org.apache. jackrabbit.rmi.repository.URLRemoteRepositoryFactory.getRemoteRepository (URL
RemoteRepositoryFactory. java:61)

7 more

2015-06-29 14:38:41,787 DEBUG util.ServiceUtil [Thread-222,debug:66] ServiceUtil: java.io.PrintWri
ter@4733clel

2015-06-29 14:38:41,787 DEBUG util.ServiceUtil [Thread-222,debug:66] ServiceUtil: org.gcube.common
.homelibrary.home.exceptions.InternalErrorException: javax.jcr.RepositoryException: Remote reposit
ory not found: The resource at https://workspace-repository-dev.research-infrastructures.eu/jackra
bbit-webapp-2.8.0/rmi could not be retrieved

2015-06-29 14:38:41,789 ERROR dataspace.DataSpace [Thread-222,error:72] [0.789s] statistical-manag
er—-gcubews: Import failed

History

#1 - Jun 29, 2015 02:58 PM - Gianpaolo Coro

Up to now, in order to address the issue we have:

1. updated security packages on statistical-manager.d.d4science.org
2. updated the home-library jars to the 2.0-SNAPSHOT version

The issue has not been solved.

#2 - Jun 29, 2015 04:44 PM - Valentina Marioli

We have fixed the issue removing all RMI calls from HL to Jackrabbit.

#3 - Jun 29, 2015 04:44 PM - Valentina Marioli
- Status changed from New to Closed

- % Done changed from 0 to 100
